html{
    color: rgb(30,30,80);
    font-family: Calibri;
}

body {
    background: rgb(0,82,167);
    background: radial-gradient(circle, rgba(0,32,127,1) 0%, rgba(0,2,61,1) 100%);
    font-size: 30pt;
    color: deepskyblue;
    font-family: Calibri;
    
}

form {
    display: table-cell;
    width: 100%;
    padding: 0 15px;
    text-align: center;
    border-radius: 15px;
    border-right: 3px solid aqua;
    border-bottom: 3px solid aqua;
    border-left: 1px solid aqua;
    border-top: 1px solid aqua;
}

.button, a.button{
    background: rgba(0, 0, 0, 0.3);
    border: 3px solid blue;
    border-radius: 30px;
    font-size: 16pt;
    padding: 10px 20px;
    color: deepskyblue;
    margin: 10px;
}

.f {
 text-align: left;
 margin: 20px;
 font-size: 1.1em;
}

form input[type="text"], 
form input[type="password"] {
    width: 100%;
    height: 35px;
    text-align: center;
    font-size: 18pt;
    font-weight: bold;
    color: rgb(30,30,100);
    border-radius: 15px;
    border-right: 3px solid aqua;
    border-bottom: 3px solid aqua;
    border-left: 1px solid aqua;
    border-top: 1px solid aqua;
    background: rgb(100,100,255);
}

form input[type="checkbox"]{
    border: 0px;
    height: 50px;
    width: 30px;
    vertical-align: middle;
}

#container{   
    position: absolute;
    left: 50%;
    width: 60%;
    transform: translate(-50%, 0);
    display: table;
    padding: 0;
    text-align: center;
    font-family: Calibri;
    font-size: 1.1em;
    border-spacing: 20px;
}

#container2 {   
    position: absolute;
    left: 50%;
    width: 90%;
    transform: translate(-50%, 0);
    display: table;
    padding: 0;
    text-align: center;
    font-family: Calibri;
    font-size: 1.1em;
    border-spacing: 20px;
}

.macierz {
    align-content: center;
    text-align: center;
}

.el_mac {
    height: 100% !important;
    width: 100% !important;
}

.invalid {
    color: red !important;
    border-color: red !important;
}

.errors {
    margin: auto;
    text-align: center;
    width: 100%;
}

table {
    text-align: center;
}



.mtab {
    width:175px;
    height:150px;
    text-align: center;
    margin: 0 auto;
    border-spacing: 2px !important;
    padding: 0;
}

.mtab tr, #historia .mtab tr{
    padding: 0;
}

.mtab td, #historia .mtab td {
    padding: 0px;
    padding-right: 9px;
    border:none;
}

#controls{
    display: block;
    width: 100%;
    float: left;
}

.result{
    padding-top: 30px;
    float: right;
    text-align: center;
    width: 50%;
}

.input{
    padding-top: 30px;
    float: left;
    text-align: center;
    width: 50%;
}

.errormsg{
    width:100%;
    text-align:center;
    color: red !important;
    margin:auto;
}

#historia{
    width:100%;
    border-collapse: collapse;
}

#historia tr {
    border: 2px solid;
}

#historia tr:first-child {
    border: none;
}

#historia td {
    padding: 10px;
}